@echo off
rem
rem $Id: ppmk.bat,v 1.1 2000/01/21 08:50:40 perre Exp $
rem Copyright 2000 RSA Security
rem
rem Description:
rem
rem	Simple makefile preprocessor
rem
rem Usage:
rem 	ppmk [ -o Makefile ] Makefile.pp
rem

set USAGE="Usage: ppmk [-o Makefile] [Makefile.pp]"

set OUTFILE=""
set DIR=<<INSTALL:APPDIR>>\lib\ppmk
set TMPF=%TEMP%\ppmk.$$
set PPFLAGS=-o "%TMPF%" -E -DSYSTEM=NT-4.0 -I "%DIR%"
set OLDPATH=%PATH%
set PATH=<<INSTALL:APPDIR>>\bin;%PATH%

if "%1" == "" goto error
if "%1" == "-o" goto outfile

:pp
pp.exe -DPPMKFILE="%1" %PPFLAGS% -i "%DIR%\ppmk.pp" "%1" "%DIR%\ppmk.tmpl"

if "%OUTFILE%" == "" goto type
copy "%TMPF%" "%OUTFILE%"
goto end

:outfile
set OUTFILE=%2
shift
shift
goto pp

:type
type "%TMPF%"
goto end

:error
echo %USAGE%

:end
if exist "%TMPF%" del "%TMPF%"
set PATH=%OLDPATH%